# Compatibility stubs for packages that used the old SDK frameworks.
# TODO(@reckenrode) Make these stubs warn after framework usage has been cleaned up in nixpkgs.
{ lib, callPackage }:

let
  mkStub = callPackage ./mk-stub.nix { } "10.12";

  frameworks = lib.genAttrs [
    "AGL"
    "AVFoundation"
    "AVKit"
    "Accelerate"
    "Accounts"
    "AddressBook"
    "AppKit"
    "AppKitScripting"
    "AppleScriptKit"
    "AppleScriptObjC"
    "ApplicationServices"
    "AudioToolbox"
    "AudioUnit"
    "AudioVideoBridging"
    "Automator"
    "CFNetwork"
    "CalendarStore"
    "Carbon"
    "Cocoa"
    "Collaboration"
    "ContactsPersistence"
    "CoreAudio"
    "CoreAudioKit"
    "CoreBluetooth"
    "CoreData"
    "CoreFoundation"
    "CoreGraphics"
    "CoreImage"
    "CoreLocation"
    "CoreMIDI"
    "CoreMIDIServer"
    "CoreMedia"
    "CoreMediaIO"
    "CoreServices"
    "CoreSymbolication"
    "CoreText"
    "CoreVideo"
    "CoreWLAN"
    "DVDPlayback"
    "DebugSymbols"
    "DirectoryService"
    "DiscRecording"
    "DiscRecordingUI"
    "DiskArbitration"
    "DisplayServices"
    "EventKit"
    "ExceptionHandling"
    "FWAUserLib"
    "ForceFeedback"
    "Foundation"
    "GLKit"
    "GLUT"
    "GSS"
    "GameCenter"
    "GameController"
    "GameKit"
    "GameplayKit"
    "Hypervisor"
    "ICADevices"
    "IMServicePlugIn"
    "IOBluetooth"
    "IOBluetoothUI"
    "IOKit"
    "IOSurface"
    "ImageCaptureCore"
    "ImageIO"
    "InputMethodKit"
    "InstallerPlugins"
    "InstantMessage"
    "JavaFrameEmbedding"
    "JavaNativeFoundation"
    "JavaRuntimeSupport"
    "JavaScriptCore"
    "JavaVM"
    "Kerberos"
    "Kernel"
    "LDAP"
    "LatentSemanticMapping"
    "LocalAuthentication"
    "MapKit"
    "MediaAccessibility"
    "MediaPlayer"
    "MediaToolbox"
    "Metal"
    "MetalKit"
    "ModelIO"
    "MultitouchSupport"
    "NetFS"
    "OSAKit"
    "OpenAL"
    "OpenCL"
    "OpenDirectory"
    "OpenGL"
    "PCSC"
    "PreferencePanes"
    "PubSub"
    "QTKit"
    "Quartz"
    "QuartzCore"
    "QuickLook"
    "QuickTime"
    "SceneKit"
    "ScreenSaver"
    "Scripting"
    "ScriptingBridge"
    "Security"
    "SecurityFoundation"
    "SecurityInterface"
    "ServiceManagement"
    "SkyLight"
    "Social"
    "SpriteKit"
    "StoreKit"
    "SyncServices"
    "System"
    "SystemConfiguration"
    "TWAIN"
    "Tcl"
    "UIFoundation"
    "VideoDecodeAcceleration"
    "VideoToolbox"
    "WebKit"
    "vmnet"
  ] mkStub;

  bareFrameworks = lib.genAttrs [
    "AGL"
    "AVFoundation"
    "AVKit"
    "Accelerate"
    "Accounts"
    "AddressBook"
    "AppKit"
    "AppKitScripting"
    "AppleScriptKit"
    "AppleScriptObjC"
    "ApplicationServices"
    "AudioToolbox"
    "AudioUnit"
    "AudioVideoBridging"
    "Automator"
    "CFNetwork"
    "CalendarStore"
    "Carbon"
    "Cocoa"
    "Collaboration"
    "CoreAudio"
    "CoreAudioKit"
    "CoreBluetooth"
    "CoreData"
    "CoreFoundation"
    "CoreGraphics"
    "CoreImage"
    "CoreLocation"
    "CoreMIDI"
    "CoreMIDIServer"
    "CoreMedia"
    "CoreMediaIO"
    "CoreServices"
    "CoreText"
    "CoreVideo"
    "CoreWLAN"
    "DVDPlayback"
    "DirectoryService"
    "DiscRecording"
    "DiscRecordingUI"
    "DiskArbitration"
    "EventKit"
    "ExceptionHandling"
    "FWAUserLib"
    "ForceFeedback"
    "Foundation"
    "GLKit"
    "GLUT"
    "GSS"
    "GameCenter"
    "GameController"
    "GameKit"
    "GameplayKit"
    "Hypervisor"
    "ICADevices"
    "IMServicePlugIn"
    "IOBluetooth"
    "IOBluetoothUI"
    "IOKit"
    "IOSurface"
    "ImageCaptureCore"
    "ImageIO"
    "InputMethodKit"
    "InstallerPlugins"
    "InstantMessage"
    "JavaFrameEmbedding"
    "JavaNativeFoundation"
    "JavaRuntimeSupport"
    "JavaScriptCore"
    "JavaVM"
    "Kerberos"
    "Kernel"
    "LDAP"
    "LatentSemanticMapping"
    "LocalAuthentication"
    "MapKit"
    "MediaAccessibility"
    "MediaPlayer"
    "MediaToolbox"
    "Metal"
    "MetalKit"
    "ModelIO"
    "NetFS"
    "OSAKit"
    "OpenAL"
    "OpenCL"
    "OpenDirectory"
    "OpenGL"
    "PCSC"
    "PreferencePanes"
    "PubSub"
    "QTKit"
    "Quartz"
    "QuartzCore"
    "QuickLook"
    "QuickTime"
    "SceneKit"
    "ScreenSaver"
    "Scripting"
    "ScriptingBridge"
    "Security"
    "SecurityFoundation"
    "SecurityInterface"
    "ServiceManagement"
    "Social"
    "SpriteKit"
    "StoreKit"
    "SyncServices"
    "System"
    "SystemConfiguration"
    "TWAIN"
    "Tcl"
    "VideoDecodeAcceleration"
    "VideoToolbox"
    "WebKit"
    "vmnet"
  ] mkStub;
in
{
  inherit bareFrameworks frameworks;

  libs = lib.genAttrs [
    "Xplugin"
    "sandbox"
    "simd"
    "utmp"
    "xpc"
  ] mkStub;

  version = "10.12";
}
// lib.genAttrs [
  "darwin-stubs"
  "Libsystem"
  "objc4"
  "sdk"
  "sdkRoot"
] mkStub
